View Issue Details

IDProjectCategoryView StatusLast Update
0004095Part[FreeCAD] Bugpublic2019-09-08 11:37
Reporterkeithsloan52Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionopen 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version 
Summary0004095: the "Analyze Geometry facilty" in Part and OpenSCAD workbenches has regressed and no longer works,
DescriptionRegression of Analyze Geometry facilty
Steps To ReproduceTo reproduce

Open a new document
switch to Part workbench
Select a Cube/box
Select created Cube/Box
Click on "Analyze Geometry" icon

No analysis window, workbench icons all go grey, have to quit document.

Forum discussion https://forum.freecadweb.org/viewtopic.php?f=3&t=38679&p=327944#p327944
Additional InformationOS: Ubuntu 18.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.3.
Build type: Release
Python version: 3.6.8
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedKingdom (en_GB)

And before you say this needs to be tested in 0.18.x-0.19dev
THIS IS A REGRESSION
This needs to be fixed in the stable version, I as a developer cannot
test my code without this facility. i.e. anybody who develops code
to create shapes needs this facility to be working
Tags#pending-forum

Activities

keithsloan52

2019-08-22 04:55

developer   ~0013446

The same problem occurs trying to use the following tools ( i.e. icons in the Parts workbench )
  1. Create parametric geometry
  2. Advanced utility to create a shape

keithsloan52

2019-09-07 16:01

developer   ~0013553

Not now sure it is a regression. Think problem is caused when trying to check a null shape and instead of reporting it is null fails to check trying to check.

Issue History

Date Modified Username Field Change
2019-08-21 19:10 keithsloan52 New Issue
2019-08-22 04:55 keithsloan52 Note Added: 0013446
2019-09-07 16:01 keithsloan52 Note Added: 0013553
2019-09-08 11:37 openBrain Priority urgent => normal
2019-09-08 11:37 openBrain Severity major => minor
2019-09-08 11:37 openBrain Status new => feedback
2019-09-08 11:37 openBrain Tag Attached: #pending-forum